Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class UpdateEvent

`java.lang.Object
java.util.EventObject
oracle.jbo.JboEvent
oracle.jbo.RowEvent
oracle.jbo.UpdateEvent`

All Implemented Interfaces:
  java.io.Serializable

public class UpdateEvent
extends RowEvent

An event class used by `RowSetIterator` to inform its listeners when a row is modified.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`UpdateEvent(RowSetIterator source, Row row, int rowIndex, int[] attrIndices)` Creates an event when a row is modified.

Method Summary
`int[]` | `getChangedAttrIndices()` Gets the indices of the changed attributes.
`java.lang.String[]` | `getChangedAttrNames()` Gets the names of the changed attributes.
`java.lang.String` | `toString()` Internal: For debugging only.

Methods inherited from class oracle.jbo.RowEvent
`getRow, getRowIndex, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateEvent

    public UpdateEvent(RowSetIterator source,
                       Row row,
                       int rowIndex,
                       int[] attrIndices)

  Creates an event when a row is modified.
Parameters:
  `source` - an accessor to a set of rows.
  `row` - the modified row.
  `rowIndex` - the row's index in the row set range.
  `attrIndices` - an array containing the indices of the attributes that have been modified.

Method Detail

### getChangedAttrIndices

    public int[] getChangedAttrIndices()

  Gets the indices of the changed attributes.
  Returns:
    an array containing the indices of the attributes that have been modified.

### getChangedAttrNames

    public java.lang.String[] getChangedAttrNames()

  Gets the names of the changed attributes.
  Returns:
    an array containing the names of the attributes that have been modified.

### toString

    public java.lang.String toString()

  Internal: For debugging only.
  Returns:
    a diagnostic string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.